package com.yonge.cooleshow.biz.dal.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum OpenContractEnum implements BaseEnum<String, OpenContractEnum> {

    lingxinpay("灵薪付")
    ;
    @EnumValue
    private String code;
    private String msg;

    OpenContractEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getMsg() {
        return this.msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
